InvalidTypeIdException
Date: 2016-12-04

com.fasterxml.jackson.databind.exc

## Class InvalidTypeIdException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.io.IOException
      - - com.fasterxml.jackson.core.JsonProcessingException
        - - com.fasterxml.jackson.databind.JsonMappingException
          - - com.fasterxml.jackson.databind.exc.InvalidTypeIdException

- All Implemented Interfaces:
    java.io.Serializable

      public class InvalidTypeIdException
      extends JsonMappingException

  Exception thrown when resolution of a type id fails.
  Since:
    2.8
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `JsonMappingException.Reference`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected JavaType` | `_baseType` Basetype for which subtype was to be resolved
    `protected java.lang.String` | `_typeId` Type id that failed to be resolved to a subtype

    - ### Fields inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_path, _processor`

    - ### Fields inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `_location`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `InvalidTypeIdException(com.fasterxml.jackson.core.JsonParser p, java.lang.String msg, JavaType baseType, java.lang.String typeId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static InvalidTypeIdException` | `from(com.fasterxml.jackson.core.JsonParser p, java.lang.String msg, JavaType baseType, java.lang.String typeId)`
    `JavaType` | `getBaseType()`
    `java.lang.String` | `getTypeId()`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonMappingException

      `_appendPathDesc, _buildMessage, from, from, from, from, from, from, from, from, fromUnexpectedIOE, getLocalizedMessage, getMessage, getPath, getPathReference, getPathReference, getProcessor, prependPath, prependPath, prependPath, toString, wrapWithPath, wrapWithPath, wrapWithPath`

    - ### Methods inherited from class com.fasterxml.jackson.core.JsonProcessingException

      `getLocation, getMessageSuffix, getOriginalMessage`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### _baseType

          protected final JavaType _baseType

      Basetype for which subtype was to be resolved

    - #### _typeId

          protected final java.lang.String _typeId

      Type id that failed to be resolved to a subtype

  - ### Constructor Detail

    - #### InvalidTypeIdException

          public InvalidTypeIdException(com.fasterxml.jackson.core.JsonParser p,
                                java.lang.String msg,
                                JavaType baseType,
                                java.lang.String typeId)

  - ### Method Detail

    - #### from

          public static InvalidTypeIdException from(com.fasterxml.jackson.core.JsonParser p,
                                    java.lang.String msg,
                                    JavaType baseType,
                                    java.lang.String typeId)

    - #### getBaseType

          public JavaType getBaseType()

    - #### getTypeId

          public java.lang.String getTypeId()